
$(document).ready(function () { 
    var table = $('#Solicitudes_Vacacionales').DataTable({                            
            "language": {
                "lengthMenu": "Mostrar _MENU_ registros",
                "zeroRecords": "No hay resultados - Disculpe",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "search": "Buscar:", 
                "infoEmpty": "No records available",
                "infoFiltered": "(filtered from _MAX_ total records)"
            },
	   "columnDefs": [
        	{"className": "dt-center", "targets": "_all"}
	    ],                       
           order: [[ 1, 'desc' ]],       
           ajax: {
             url: "/Reporte_vacaciones",
             type: 'post',
             datatype: 'json',                    
             data:{}
           },
           columns: [
               { data: 'Planilla_pdf'},
               { data: 'grafico'},
	       { data: 'user'},
               { data: 'periodo' },
               { data: 'status' },
               { data: 'diasadisfrutar' },
               { data: 'diasdisfrutados' },
               { data: 'diassolicitados' },
               { data: 'diaspordisfrutar' },
               { data: 'nombres_suplente_1'},
               { data: 'nombres_suplente_2' },
          ],
           dom: 'Bfrtip',
           buttons: [
                {
                    extend:    'pageLength',
                    text:      'Mostrar Filas', 
                    titleAttr: 'Mostrar Filas',
                },
                {
                    extend:    'print',
                    text:      'Imprimir',
                    title:     'Solicitudes Vacacionales',
                    titleAttr: 'Imprimir',
                    exportOptions: {
                       columns: [2,3,4,5,6,7,8,9,10]
                    } 
                },
                {
                    extend:    'excelHtml5',
                    text:      'XLXS',
                    title:     'Solicitudes Vacacionales',
                    titleAttr: 'Excel',
                    message: 'Consultar solicitud ',
                    exportOptions: {
                       columns: [2,3,4,5,6,7,8,9,10]
                    
                    }
                },
                {
                    extend:    'csvHtml5',
                    text:      'CSV',
                    title: 'Datos_solicitud',
                    titleAttr: 'CSV',
                    message: 'Consultar solicitud',
                    exportOptions: {
                       columns: [2,3,4,5,6,7,8,9,10]
                    
                    }
                },
                {
                    extend:    'pdfHtml5',
                    text:      'PDF',
                    titleAttr: 'PDF',
                    title: '   Solicitudes Vacacionales',                    
                    download: 'open',
                    message: 'Consultar de la solicitud ',
                    header: true,
                    footer: true,
                    pageSize: 'A3',
                    exportOptions: {
                       columns: [2,3,4,5,6,7,8,9,10]
                    
                    }
                }                
          ]           

      });
 
});

